Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin.hawk
Class HawkTabReturn

    java.lang.Object
      com.tibco.tibjms.admin.hawk.HawkTabReturn

    public class HawkTabReturn

extends java.lang.Object

This class encapsulates a tabular return value for a hawk method. It allows for incrementally building the return table, and provides type checking and checks for null.

Constructor Summary
`HawkTabReturn(HawkParser _parser, MethodDescriptor _desc)` Returns an empty returnvalue for the given method.

Method Summary
`HawkTabReturn` | `addOneValue(java.lang.Object value)` Convenience function for methods that return a single column.
`HawkTabReturn` | `addRow()` Move to the next row of the return value.
`HawkTabReturn` | `addStats(java.lang.String prefix, StatData stat)` This is a convenience method for breaking out the StatData objects returned by the TibjmsAdmin class.
`HawkTabReturn` | `addValue(java.lang.String name, boolean value)` Convenience function to add boolean values.
`HawkTabReturn` | `addValue(java.lang.String name, double value)` Convenience function to add double values.
`HawkTabReturn` | `addValue(java.lang.String name, int value)` Convenience function to add integer values.
`HawkTabReturn` | `addValue(java.lang.String name, long value)` Convenience function to add long values.
`HawkTabReturn` | `addValue(java.lang.String name, java.lang.Object value)` Add an element to the current row of the return value.
`TabularData` | `returnValue()` Construct the actual COM.TIBCO.hawk.talon.TabularData object that will be returned from the hawk method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HawkTabReturn

    public HawkTabReturn(HawkParser _parser,
                         MethodDescriptor _desc)
                  throws MicroAgentException

  Returns an empty returnvalue for the given method.

  Throws:
    `MicroAgentException`

Method Detail

### addValue

    public HawkTabReturn addValue(java.lang.String name,
                                  java.lang.Object value)
                           throws MicroAgentException

  Add an element to the current row of the return value.

  Throws:
    `MicroAgentException`

### addOneValue

    public HawkTabReturn addOneValue(java.lang.Object value)
                              throws MicroAgentException

  Convenience function for methods that return a single column.

  Throws:
    `MicroAgentException`

### addRow

    public HawkTabReturn addRow()
                         throws MicroAgentException

  Move to the next row of the return value.

  Throws:
    `MicroAgentException`

### returnValue

    public TabularData returnValue()
                            throws MicroAgentException

  Construct the actual COM.TIBCO.hawk.talon.TabularData object that will be returned from the hawk method.

  Throws:
    `MicroAgentException`

### addValue

    public HawkTabReturn addValue(java.lang.String name,
                                  int value)
                           throws MicroAgentException

  Convenience function to add integer values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkTabReturn addValue(java.lang.String name,
                                  long value)
                           throws MicroAgentException

  Convenience function to add long values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkTabReturn addValue(java.lang.String name,
                                  boolean value)
                           throws MicroAgentException

  Convenience function to add boolean values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkTabReturn addValue(java.lang.String name,
                                  double value)
                           throws MicroAgentException

  Convenience function to add double values.

  Throws:
    `MicroAgentException`

### addStats

    public HawkTabReturn addStats(java.lang.String prefix,
                                  StatData stat)
                           throws MicroAgentException

  This is a convenience method for breaking out the StatData objects returned by the TibjmsAdmin class.

  Throws:
    `MicroAgentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved